Create a PaymentIntent

Creates a new payment intent to process a payment. After the PaymentIntent is created, attach a payment method and confirm API to continue the payment.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

Amount intended to be collected by this PaymentIntent.

string
required

Three-letter currency code

payment_method

The payment method details to confirm the PaymentIntent. The PaymentIntent will be confirmed automatically when payment_method is set.

string
length ≤ 45

IPv4 or IPv6 address of the device.

Required when payment_method.card.three_ds_action=enforce_3ds. Optional otherwise.

payment_orders
object

Purchase order related to this PaymentIntent

string
required
length ≤ 36

The merchant reference id created in merchant's system that corresponds to this PaymentIntent

string
required
length ≤ 32

Descriptor that will display to the customer. Maximum length is 32.

browser_info
object

Browser information collected for risk and fraud prevention. Required when three_ds_action=enforce_3ds

metadata
object

Any key-value object. Max length = 512 bytes. This must be valid JSON data.

string
required
length ≤ 1024

The web page URL or application scheme URI to redirect the customer after payment authentication.

Headers
string

Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts. If omitted or empty, the request is executed using the master account. More information at Connected Accounts.

uuid
required

A unique identifier (UUID) used to maintain operation idempotency, ensuring that repeated executions of the same operation do not result in unintended effects or duplication. It helps preserve data consistency in the face of network errors, retries, or failures.

string
required

The API client id generated by UQPAY

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json